Skip to content

Order Verification

| View as Markdown

This API will used by Affiliates to confirm the status of an insurance order. This API will work only on live MID, for the sandbox MID this API will not work. We must pass order id, affiliate id, provider id and category in request. If the request has valid details, we will get details like amount, bank txn id, time, policy status: success or fail and policy type.

POST

https://kraken.airpay.co.in/airpay/ms/insurance/api/verify_order
ParameterType ValueDescriptionValue Like
Content-Type requiredStringValue : application/x-www-form-urlencodedapplication/x-www-form-urlencodeds
processor-key requiredString
(1-20)
Authentication key for airpayxvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==
checksum requiredStringSha256 of value of hash(‘sha256’,‘(orderid)(affiliateid)(companyid), processor-key)d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93
ParameterType ValueDescriptionValue Like
order_id requiredAlphanumeric
(20)
Reference txnid shared by affiliate while initiating the transactionMAWEB107051612117107
affiliate_id requiredNumeric
(1-10)
Required provided source of orderid eg 649648AF0028SF1644819013
provider_id requiredNumeric
(1-10)
Provided insurance company id Required eg 12347
cat optionalTextThis is insurance category. It will redirect to insurer landing page of that categoryPA
ParameterType ValueDescriptionValue Like
status requiredNumericapi status [1- success,0-fail] (length 1)1,0
data requiredJsonarraydata provided will be blank in case of fail while for success the following details will be shared orderid, amount, banktxnid,banktxntime, policystatus, policytype
message requiredText
(1-50)
messagesuccess,fail
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/verify_order' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Cookie: _csrf=103936bf3ssa2098165c59d08c9288e68459dcac60bba4d83cdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data-urlencode 'order_id=MAWEB107051612117107' \
--data-urlencode 'affiliate_id=AF0028SF1644819013' \
--data-urlencode 'cat=PA' \
--data-urlencode 'provider_id=7'
{
"status": "1",
"data": [{
"orderid": 12345678901234567890
"amount": 500.00 ,
"banktxnid": "ABC2324",
"banktxntime": "19-05-2020 11:05:30",
"policystatus":"success",
"policytype":"COV"
}],
"message": "success"
}
{
"status": "0",
"data": [
{}
],
"message": "fail"
}